classification
Title: Cookie.domain is undocumented
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Malcolm Smith, berker.peksag, demian.brecht, docs@python, martin.panter, python-dev
Priority: normal Keywords: easy

Created on 2015-03-14 15:01 by Malcolm Smith, last changed 2016-04-25 11:35 by berker.peksag. This issue is now closed.

Messages (3)
msg238087 - (view) Author: Malcolm Smith (Malcolm Smith) Date: 2015-03-14 15:01
This is a fundamental attribute of a cookie, which will be set even if the server doesn't specify it, yet it doesn't appear in the documentation either of 2.x cookielib or 3.x http.cookiejar.
msg264170 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-04-25 11:32
New changeset 1fdaa71d47f5 by Berker Peksag in branch '3.5':
Issue #23662: Document default value of RFC 2109 attributes
https://hg.python.org/cpython/rev/1fdaa71d47f5

New changeset b3ad9c002bb8 by Berker Peksag in branch 'default':
Issue #23662: Document default value of RFC 2109 attributes
https://hg.python.org/cpython/rev/b3ad9c002bb8
msg264171 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-04-25 11:35
Actually, it's already documented at https://docs.python.org/3.5/library/http.cookies.html#http.cookies.Morsel. I just added a note about the default value of domain.
History
Date User Action Args
2016-04-25 11:35:20berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg264171

resolution: fixed
stage: needs patch -> resolved
2016-04-25 11:32:25python-devsetnosy: + python-dev
messages: + msg264170
2016-04-25 06:36:56berker.peksagsetkeywords: + easy
stage: needs patch
type: enhancement
versions: + Python 3.6, - Python 3.2, Python 3.3, Python 3.4
2015-03-20 17:26:20demian.brechtsetnosy: + demian.brecht
2015-03-14 21:59:10martin.pantersetnosy: + martin.panter
2015-03-14 15:01:20Malcolm Smithcreate